%define upstream_name jmespath

Name: python-%{upstream_name}
Version: 0.9.5
Release: %mkrel 1
License: Public Domain
Summary: JMESPath is a query language for JSON
Group: Development/Python
URL: https://github.com/jmespath/jmespath.py
Source: https://files.pythonhosted.org/packages/source/j/jmespath/jmespath-%{version}.tar.gz
BuildRequires: python-setuptools
BuildArch: noarch

%description
JMESPath (pronounced "james path") allows you to declaratively specify how to
extract elements from a JSON document.

For example, given this document:

{"foo": {"bar": "baz"}}

The jmespath expression foo.bar will return "baz".

%package -n python3-%{upstream_name}
Summary: JMESPath is a query language for JSON
Group: Development/Python
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
JMESPath (pronounced "james path") allows you to declaratively specify how to
extract elements from a JSON document.

For example, given this document:

{"foo": {"bar": "baz"}}

The jmespath expression foo.bar will return "baz".

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%license LICENSE.txt
%{_bindir}/jp.py
%{python3_sitelib}/*


%changelog
* Sun Apr 19 2020 buchan <buchan> 0.9.5-1.mga8
+ Revision: 1569930
- Update to 0.9.5

* Sun Feb 16 2020 umeabot <umeabot> 0.9.4-3.mga8
+ Revision: 1532214
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 wally <wally> 0.9.4-2.mga8
+ Revision: 1442262
- rebuild for python3.8
- drop python2 support

* Sat Apr 20 2019 wally <wally> 0.9.4-1.mga7
+ Revision: 1393688
- new version 0.9.4
- fix descriptions
- pkg jp.py with both py2 and py3 pkgs

* Mon Jan 07 2019 shlomif <shlomif> 0.9.3-3.mga7
+ Revision: 1351465
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.9.3-2.mga7
+ Revision: 1289137
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 buchan <buchan> 0.9.3-1.mga7
+ Revision: 1217237
- imported package python-jmespath

